#ifndef __testWidget_h
#define __testWidget_h

#include <QObject>

// Any qt container class will fail the same way
// http://doc.qt.io/qt-5.6/containers.html
#include <QList>

class testWidget : public QObject
{
  Q_OBJECT
  Q_PROPERTY(QList<int> fields READ getFields WRITE setFields)
protected:
  virtual QList<int> getFields() const{};
  virtual void setFields(QList<int> fields){};
};

#endif
